Subject: Re: bug#70361: [PATCH] Add font-locking for operators in go-ts-mode.

From: Noah Peart <[email-masked]>
Date: Sat, 13 Apr 2024 00:27:26 -0700

> The operators will be fontified only if treesit-font-lock-level is 4,
right?

Yea, operator is at level 4 - I didn't change the
treesit-font-lock-feature-list.

On Sat, Apr 13, 2024 at 12:20 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Noah Peart <[email-masked]>
> > Date: Fri, 12 Apr 2024 22:23:05 -0700
> >
> > Adds font-locking for Go operators in `go-ts-mode'. The operator feature
> > is already added to `treesit-font-lock-feature-list' in `go-ts-mode` -
> this
> > just adds the missing rule to `go-ts-mode--font-lock-settings'.
>
> Thanks.
>
> The operators will be fontified only if treesit-font-lock-level is 4,
> right?  That's the level at which we decided to fontify operators.
>